Bug 222433 - gedit should not use tabbed interface by default
gedit should not use tabbed interface by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 09:29 EST by k3dzngrp8w2xtc9
Modified: 2008-06-16 21:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 398950 None None None Never

  None (edit)
Description k3dzngrp8w2xtc9 2007-01-12 09:29:28 EST
Description of problem:
gedit uses a tabbed interface by default on Fedora. Even starting the
application a second time from the Applications menu, it opens a new tab in the
existing window instead of opening a new window. This is contrary to the GNOME
SDI guideline. gedit should open a new window by default as every other program
does.

Version-Release number of selected component (if applicable):
gedit-2.15.9-1.fc6
Comment 1 k3dzngrp8w2xtc9 2007-01-21 06:35:47 EST
As seen in external bz. reference, the upstream rejected this as not a bug....

Too bad!
Comment 2 k3dzngrp8w2xtc9 2007-01-21 11:39:37 EST
Actually... reopen. I think that Fedora should modify the gedit.desktop and
include the --new-window option. Also supposedly a simple plugin can disable the
display of the tab bar, I am (was) a new gedit user so I have no idea if such a
plugin exists. Does anyone more experienced with gedit know? If there is such a
plugin Fedora should include it by default -- if not maybe I can write one if it
really is easy.

Or did I arrive late and is this an already lost holy war?
Comment 3 Till Maas 2008-01-08 08:21:27 EST
This seems not to be fixed in Fedora 7: There is no --new-window option in the
gedit.desktop file.
Comment 4 Bug Zapper 2008-05-14 08:06:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:15:38 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.